cURL
curl -X GET "https://api.fitsociety.io/public/v1/bookings/{bookingId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/bookings/{bookingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/bookings/{bookingId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"booking": {
"bookingId": "<string>",
"status": "<string>",
"attendanceStatus": "<string>",
"paymentMethod": "<string>",
"paymentProcessingStatus": "<string>",
"usedCredits": 123,
"createdByType": "<string>",
"isRecurringInstance": true,
"recurringBookingId": "<string>",
"client": {
"clientId": "<string>",
"name": "<string>"
},
"event": {
"eventId": "<string>",
"name": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"instanceDate": "2023-11-07T05:31:56Z"
}
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Bookings
Get booking
Requires bookings:read.
GET
/
public
/
v1
/
bookings
/
{bookingId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/bookings/{bookingId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/bookings/{bookingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/bookings/{bookingId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"booking": {
"bookingId": "<string>",
"status": "<string>",
"attendanceStatus": "<string>",
"paymentMethod": "<string>",
"paymentProcessingStatus": "<string>",
"usedCredits": 123,
"createdByType": "<string>",
"isRecurringInstance": true,
"recurringBookingId": "<string>",
"client": {
"clientId": "<string>",
"name": "<string>"
},
"event": {
"eventId": "<string>",
"name": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"instanceDate": "2023-11-07T05:31:56Z"
}
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I